Warning: file_exists(): open_basedir restriction in effect. File(/srv/http/vhosts/aur.archlinux.org/public/web/locale//en/LC_MESSAGES/aurweb.mo) is not within the allowed path(s): (/srv/http/vhosts/aur-dev.archlinux.org/:/etc/aurweb/) in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/streams.php on line 90
AUR (en) - mintstick-git

Notice: Undefined variable: name in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/pkgfuncs.inc.php on line 248

Package Details: mintstick-git r155.ce797e4-1

Git Clone URL: https://aur-dev.archlinux.org/mintstick-git.git (read-only)
Package Base: mintstick-git
Description: Format or write images to usb-sticks (Linux Mint tool)
Upstream URL: https://github.com/linuxmint/mintstick
Licenses: GPL
Conflicts: mintstick
Provides: mintstick
Submitter: unclesam
Maintainer: unclesam
Last Packager: unclesam
Votes: 14
Popularity: 0.062334
First Submitted: 2014-04-13 17:01
Last Updated: 2016-09-26 16:03

Latest Comments

1 2 Next › Last »

annoyingduck commented on 2016-09-26 17:14

Working great here on XFCE and Cinnamon. Big thanks for packaging this for us, a simple amazing package Mint made.

willemw commented on 2016-09-26 15:55

Correction: dosfstools instead of coreutils.

unclesam commented on 2016-09-26 15:52

I've just added the missing depends/optdepends.
Thanks to kandaurov and willemw.

willemw commented on 2016-09-26 15:20

A missing dependency was found by kandaurov: https://bbs.archlinux.org/viewtopic.php?id=217549

I found more missing depends/optdepends:

In files:
./lib/mountutils.py: retcode = call('umount '+mount[0], shell=True)
./lib/raw_format.py: call(["dd", "if=/dev/zero", "of=%s" % device_path, "bs=512", "count=1"])
./lib/raw_format.py: call(["mkdosfs", "-F", "32", "-n", volume_label, partition.path])
./lib/raw_format.py: call(["mkntfs", "-f", "-L", volume_label, partition.path])
./lib/raw_format.py: call(["mkfs.ext4", "-E", "root_owner=%s:%s" % (uid, gid), "-L", volume_label, partition.path])

Missing packages:
dosfstools
ntfs-3g
e2fsprogs

unclesam commented on 2015-09-27 09:19

Changed PKGBUILD to version by willemw.
@willemw: thank you!

willemw commented on 2015-09-25 07:17

Made some changes to PKGBUILD (https://gist.github.com/willemw12/396c6fb4dbbf5b241876): use git and pkgver(), patch install.sh, no need for python2 patch, 'GPL'. Please consider using this PKGBUILD.

salvaju29ro commented on 2015-08-12 09:29

Among the dependencies must be added python2-dbus

salvaju29ro commented on 2015-07-31 07:08

mintstick -m iso
Traceback (most recent call last):
File "/usr/lib/mintstick/mintstick.py", line 13, in <module>
import dbus

unclesam commented on 2015-06-11 13:45

Thanks to silviucc!

baronleonardo commented on 2014-12-23 13:09

udisks should be added as a dependency.